import request from '@/utils/request'

// 查询投诉模板列表
export function listTemplate(query) {
  return request({
    url: '/his/template/list',
    method: 'get',
    params: query
  })
}

// 查询投诉模板列表
export function treeListTemplate(query) {
  return request({
    url: '/his/template/treeList',
    method: 'get',
    params: query
  })
}

// 查询投诉模板详细
export function getTemplate(id) {
  return request({
    url: '/his/template/' + id,
    method: 'get'
  })
}

// 新增投诉模板
export function addTemplate(data) {
  return request({
    url: '/his/template',
    method: 'post',
    data: data
  })
}

// 修改投诉模板
export function updateTemplate(data) {
  return request({
    url: '/his/template',
    method: 'put',
    data: data
  })
}

// 删除投诉模板
export function delTemplate(id) {
  return request({
    url: '/his/template/' + id,
    method: 'delete'
  })
}

// 导出投诉模板
export function exportTemplate(query) {
  return request({
    url: '/his/template/export',
    method: 'get',
    params: query
  })
}

// 查询用户投诉列表
export function listComplaint(query) {
  return request({
    url: '/his/complaint/list',
    method: 'get',
    params: query
  })
}

// 查询用户投诉详细
export function getComplaint(id) {
  return request({
    url: '/his/complaint/' + id,
    method: 'get'
  })
}

// 新增用户投诉
export function addComplaint(data) {
  return request({
    url: '/his/complaint',
    method: 'post',
    data: data
  })
}

// 修改用户投诉
export function updateComplaint(data) {
  return request({
    url: '/his/complaint',
    method: 'put',
    data: data
  })
}

// 删除用户投诉
export function delComplaint(id) {
  return request({
    url: '/his/complaint/' + id,
    method: 'delete'
  })
}

// 导出用户投诉
export function exportComplaint(query) {
  return request({
    url: '/his/complaint/export',
    method: 'get',
    params: query
  })
}

// 查询投诉消息记录列表
export function listMsg(query) {
  return request({
    url: '/user/msg/list',
    method: 'get',
    params: query
  })
}

// 查询投诉消息记录详细
export function getMsg(id) {
  return request({
    url: '/user/msg/' + id,
    method: 'get'
  })
}

// 新增投诉消息记录
export function addMsg(data) {
  return request({
    url: '/user/msg',
    method: 'post',
    data: data
  })
}

// 修改投诉消息记录
export function updateMsg(data) {
  return request({
    url: '/user/msg',
    method: 'put',
    data: data
  })
}

// 删除投诉消息记录
export function delMsg(id) {
  return request({
    url: '/user/msg/' + id,
    method: 'delete'
  })
}

// 导出投诉消息记录
export function exportMsg(query) {
  return request({
    url: '/user/msg/export',
    method: 'get',
    params: query
  })
}